Update Robot MCP server
Update an external MCP server configuration. Bearer tokens are write-only and are redacted from responses.
/robots/mcp-servers/{mcp_server_id}Update an external MCP server configuration. Bearer tokens are write-only and are redacted from responses.
In: cookie
Path Parameters
Robot MCP server ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/robots/mcp-servers/cc5lnd2s1s4652adtu50" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"slug": "string",
"description": "string",
"endpoint_url": "http://example.com",
"oauth_remote_connection_id": "cc5lnd2s1s4652adtu50",
"enabled": true,
"has_bearer_token": true,
"has_oauth_token": true,
"last_refreshed_at": "2019-08-24T14:15:22Z",
"last_error": "string",
"tools": [
{
"id": "string",
"remote_name": "string",
"callable_name": "string",
"title": "string",
"description": "string",
"enabled": true,
"available": true,
"last_seen_at": "2019-08-24T14:15:22Z"
}
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}List Robot MCP servers GET
List external MCP servers configured for Robot tool discovery.
List robot models GET
Retrieve a list of all enabled models from all providers. Model names are in the format `provider/model` some provider models may include further slashes, such as with OpenRouter: `openrouter/openai/gpt-4`.